Ryzehosting
  1. domain
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. domain

details

GET
domain/details

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/domain/details' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain_id": "019b1ace-4a2b-819c-8fe2-7c2bb2e514f6"
}'
Response Response Example
200 - Success
{
    "response": "Successfully fetched domain details",
    "state": "success",
    "code": 200,
    "data": {
        "domain_id": "019b1ace-4a2b-819c-8fe2-7c2bb2e514f6",
        "domain_name": "network.bond",
        "domain_status": "active",
        "domain_price": "25.26",
        "domain_expire_date": "2026-12-14 23:59:59",
        "domain_register_date": "2025-12-14 04:01:22",
        "tld": "BOND",
        "nameservers": [
            "nameserver01.eu",
            "nameserver02.eu",
            "nameserver03.eu",
            "nameserver04.eu",
            "nameserver05.eu",
            "nameserver06.eu"
        ]
    }
}
Modified at 2025-12-30 04:00:26
Previous
pricelist
Next
check
Built with